class Button(object):
	"""
	Object that defines the behavior of the "Stations" button.
	"""

	def __init__(self, trigger, player):
		self.__init_attributes(trigger, player)
		self.__button.connect("clicked", self.__clicked_cb)
		trigger.connect("destroy", self.__destroy_cb)
		self.__button.set_property("sensitive", True)

	def __init_attributes(self, trigger, player):
		self.__button = player.glade.get_widget("StationButton")
		self.__player = player
		self.__trigger = trigger
		return

	def __clicked_cb(self, button):
		self.__player.trigger("show_stations_dialog")
		return True

	def __destroy_cb(self, *args):
		self.__button.destroy()
		return
